Skip to main content
POST
Enrich a company by properties

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Body

application/json
name
string | null

The company name

Maximum string length: 250
linkedinUrl
string<uri> | null

The company LinkedIn URL

Maximum string length: 2048
linkedinId
string | null

The company LinkedIn ID

Maximum string length: 100
twitterUrl
string<uri> | null

The company Twitter/X URL

Maximum string length: 2048
facebookUrl
string<uri> | null

The company Facebook URL

Maximum string length: 2048
instagramUrl
string<uri> | null

The company Instagram URL

Maximum string length: 2048
youtubeUrl
string<uri> | null

The company YouTube URL

Maximum string length: 2048
expand
enum<string>[] | null

Additional company data to include. Each requested expansion is charged per returned company, on top of the base cost:

  • financial: 1 credit
  • keywords: 1 credit
  • naicsCodes: 1 credit
  • technologies: 1 credit
  • workforce: 1 credit. Includes the latest 12 months of history; each earlier 12-month page from GET /v2/companies/workforce costs another 1 credit.
Available options:
financial,
keywords,
naicsCodes,
technologies,
workforce

Response

OK

id
string<uuid>
required

The CompanyEnrich ID of the company

domain
string
required

The primary domain of the company

website
string
required

The company website URL

logoUrl
string
required

The company logo URL

updatedAt
string<date-time>
required

When the company data was last updated

name
string | null

The company name

The legal name of the company

description
string | null

The company description

type
any | null

The company type

Available options:
private,
public,
self-employed,
self-owned,
partnership,
nonprofit,
educational,
government,
null
foundedYear
integer<int32> | null

The year the company was founded

employees
any | null

The estimated employee count range

Available options:
1-10,
11-50,
51-200,
201-500,
501-1K,
1K-5K,
5K-10K,
over-10K,
null
revenue
any | null

The estimated annual revenue range in USD

Available options:
under-1m,
1m-10m,
10m-50m,
50m-100m,
100m-200m,
200m-1b,
over-1b,
null
industry
string | null

The primary industry of the company

industries
string[] | null

The industries associated with the company

categories
enum<string>[] | null

The categories associated with the company, from most to least specific

Available options:
b2b,
b2c,
b2g,
e-commerce,
media,
service-provider,
mobile,
saas,
local-business
location
object | null

The company location and contact details

socials
object | null

The company social profiles

financial
object | null

Financial and funding data. Included when financial is requested in expand.

keywords
string[] | null

Keywords associated with the company. Included when keywords is requested in expand.

naicsCodes
string[] | null

The NAICS codes associated with the company. Included when naicsCodes is requested in expand.

technologies
string[] | null

Technologies used by the company. Included when technologies is requested in expand.

workforce
object | null

Workforce insights. Included when workforce is requested in expand.